API Reference Get Organization Theme
Get Organization Theme
Get one organization theme with its latest version and the projects using it
Session token
Any member of the organization can call it. A caller outside the organization gets 404. These endpoints need a session token; API keys get 401.
Path Parameters
NameDescription
orgIdThe organization ID.
slugThe theme's slug.
Response
The theme — see List Organization Themes for its fields.
Error Responses
| Status | Code | When |
|---|---|---|
| 404 | theme_not_found | No theme with this slug |
| 404 | not_found | The organization doesn't exist, or you're not in it |
Was this page helpful? Yes No
Previous
Request
cURLJavaScriptPythonGoRubyPHPJavaC#cURL
curl --request GET \
--url 'https://api.syntext.dev/v1/orgs/{orgId}/themes/{slug}' \
--header 'Authorization: Bearer <jwt>'
const response = await fetch('https://api.syntext.dev/v1/orgs/{orgId}/themes/{slug}', {
method: 'GET',
headers: {
'Authorization': 'Bearer <jwt>',
},
});
const data = await response.json();
console.log(response.status, data);
import requests
url = "https://api.syntext.dev/v1/orgs/{orgId}/themes/{slug}"
headers = {
"Authorization": "Bearer <jwt>",
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.syntext.dev/v1/orgs/{orgId}/themes/{slug}", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <jwt>")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
panic(err)
}
fmt.Println(res.Status)
fmt.Println(string(body))
}
require "net/http"
require "uri"
uri = URI("https://api.syntext.dev/v1/orgs/{orgId}/themes/{slug}")
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = uri.scheme == "https"
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <jwt>"
response = http.request(request)
puts response.code
puts response.body
<?php
$ch = curl_init();
curl_setopt_array($ch, [
CURLOPT_URL => 'https://api.syntext.dev/v1/orgs/{orgId}/themes/{slug}',
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'Authorization: Bearer <jwt>',
],
]);
$response = curl_exec($ch);
if ($response === false) {
throw new RuntimeException(curl_error($ch));
}
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
curl_close($ch);
echo $status, PHP_EOL, $response, PHP_EOL;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.syntext.dev/v1/orgs/{orgId}/themes/{slug}"))
.header("Authorization", "Bearer <jwt>")
.GET()
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.statusCode());
System.out.println(response.body());
}
}
using System.Net.Http;
using System.Text;
using var client = new HttpClient();
using var request = new HttpRequestMessage(HttpMethod.Get, "https://api.syntext.dev/v1/orgs/{orgId}/themes/{slug}");
request.Headers.TryAddWithoutValidation("Authorization", "Bearer <jwt>");
using var response = await client.SendAsync(request);
Console.WriteLine((int)response.StatusCode);
Console.WriteLine(await response.Content.ReadAsStringAsync());
Responseapplication/json
json
{
"data": {
"slug": "brand",
"name": "Acme Brand",
"version": 4,
"preset": "paper",
"appearance": { "accent": "#0E7A63", "radius": "small" },
"themeOverrides": {},
"updatedAt": "2026-11-13T10:30:00Z",
"updatedBy": { "id": "usr_123", "name": "Ada Lovelace" },
"projects": [
{ "id": "b4c5d6e7-f8a9-4b0c-9d1e-2f3a4b5c6d7e", "name": "API Docs", "pinned": null },
{ "id": "7d1e4b2a-5c6f-4a8b-b9d0-1e2f3a4b5c6d", "name": "SDK Docs", "pinned": 3 }
]
}
}